## qqc2-breeze-style 5.24.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

#set(KF5_VERSION "5.75.0") # handled by release scripts
set(KF5_DEP_VERSION "5.76.0") # handled by release scripts

project(qqc2-breeze-style VERSION 1.0)

# QT_VERSION >= 5.15.2 is required for Layout margins with working support for LayoutMirroring
set(REQUIRED_QT_VERSION 5.15.0)

################# Disallow in-source build #################

if("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
   message(FATAL_ERROR "qqc2-breeze-style requires an out of source build. Please create a separate build directory and run 'cmake -S /path/to/qqc2-breeze-style' there.")
endif()



# Make CPack available to easy generate binary packages
include(CPack)
include(FeatureSummary)

################# set KDE specific information #################

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF5_DEP_VERSION} REQUIRED NO_MODULE)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(KDEGitCommitHooks)

#TODO: Clean up dependencies. I was experimenting.
find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Core Gui Qml Quick QuickControls2 QuickTemplates2)

if (NOT ANDROID)
    find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS DBus)
    find_package(KF5IconThemes ${KF5_DEP_VERSION} REQUIRED)
endif()

find_package(KF5 ${KF5_DEP_VERSION} REQUIRED COMPONENTS GuiAddons Config Kirigami2 CoreAddons ConfigWidgets)

if (NOT APPLE AND NOT WIN32)
    find_package(X11)
endif()

# When building as a static plugin, dependencies may add a -lQt5X11Extras
# to the linker, in that case, it requires to have the proper variables
# to exists.
if(X11_FOUND)
    find_package(Qt5X11Extras ${REQUIRED_QT_VERSION} NO_MODULE QUIET)
endif()

set_package_properties(IconThemes PROPERTIES DESCRIPTION "KF5 IconThemes framework"
                       TYPE OPTIONAL
                       PURPOSE "Optional integration of Kirigami with KIconLoader icons handling for a better integration with Plasma Desktop"
                      )
set_package_properties(ConfigWidgets PROPERTIES DESCRIPTION "KF5 WidgetAddons framework"
                       TYPE OPTIONAL
                       PURPOSE "Optional integration of Kirigami with KColorScheme for color palettes integration with Plasma Desktop"
                      )

find_package(PkgConfig)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5QQC2BreezeStyle")

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5QQC2BreezeStyleConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5QQC2BreezeStyleConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
  PATH_VARS  KF5_INCLUDE_INSTALL_DIR CMAKE_INSTALL_PREFIX
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5QQC2BreezeStyleConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5QQC2BreezeStyleConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)


ecm_setup_version(PROJECT
    VARIABLE_PREFIX QQC2BREEZESTYLE
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5QQC2BreezeStyleConfigVersion.cmake"
    SOVERSION 5)

#########################################################################
add_definitions(-DQT_NO_FOREACH)
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054900)

add_subdirectory(style)

add_subdirectory(kirigami-plasmadesktop-integration)

# FIXME: this assumes there will always be a QQC2 release for each Qt release, needs
# something to discover what's the latest qqc2 version available
# Since 5.12, QQC2 version is sync with Qt's minor version:
# https://github.com/qt/qtquickcontrols2/commit/3c7bfc156797b2f3ef08a8cf620b79da80e4b061
if (Qt5QuickControls2_VERSION_MINOR LESS 12)
    math(EXPR QQC2_VERSION_MINOR "${Qt5QuickControls2_VERSION_MINOR} - 7")
else()
    set(QQC2_VERSION_MINOR "${Qt5QuickControls2_VERSION_MINOR}")
endif()
set(QQC2_VERSION "2.${QQC2_VERSION_MINOR}")

if (QQC2_VERSION_MINOR LESS 3)
    set(DISABLE_UNDER_QQC2_2_3 "//Needs QtQuick.Controls 2.3 ")
else()
    set(DISABLE_UNDER_QQC2_2_3 "")
endif()

if (QQC2_VERSION_MINOR LESS 4)
    set(DISABLE_UNDER_QQC2_2_4 "//Needs QtQuick.Controls 2.4 ")
else()
    set(DISABLE_UNDER_QQC2_2_4 "")
endif()

if (Qt5Qml_VERSION_STRING VERSION_GREATER_EQUAL 5.14)
    set(DISABLE_UNDER_QT_5_14 "")
    set(DISABLE_AT_QT_5_14 "//Disabled since Qt 5.14 ")
else()
    set(DISABLE_UNDER_QT_5_14 "//Needs Qt 5.14 ")
    set(DISABLE_AT_QT_5_14 "")
endif()

# TODO: Automate Kirigami version
# This code doesn't work yet
# set(KIRIGAMI_VERSION "2.${KF5_DEP_VERSION_MINOR}")

# Find all the source qml files

FILE(GLOB_RECURSE inFiles RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "*.qml")

#for each file, replace @QQC2_VERSION@ with the version we found
FOREACH(infileName ${inFiles})
    configure_package_config_file(
        "${CMAKE_CURRENT_SOURCE_DIR}/${infileName}"
        "${CMAKE_CURRENT_BINARY_DIR}/${infileName}"
        INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
        PATH_VARS  QQC2_VERSION DISABLE_UNDER_QQC2_2_3
        DISABLE_UNDER_QQC2_2_4
    )
ENDFOREACH(infileName)

# TODO: Automate Kirigami version
# This code doesn't work yet
#for each file, replace @KIRIGAMI_VERSION@ with the version we found
#[[
FOREACH(infileName ${inFiles})
    configure_package_config_file(
        "${CMAKE_CURRENT_SOURCE_DIR}/${infileName}"
        "${CMAKE_CURRENT_BINARY_DIR}/${infileName}"
        INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
        PATH_VARS KIRIGAMI_VERSION
    )
ENDFOREACH(infileName)
]]

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== kirigami-plasmadesktop-integration/CMakeLists.txt ===


set(org.kde.breeze_SRCS
    plasmadesktoptheme.cpp
    kirigamiplasmafactory.cpp
    units.cpp
)

kcoreaddons_add_plugin(org.kde.breeze SOURCES ${org.kde.breeze_SRCS} INSTALL_NAMESPACE "kf5/kirigami" JSON kirigamiplasmaintegration.json)

target_link_libraries(org.kde.breeze
    PUBLIC
        Qt::Core
        KF5::Kirigami2
    PRIVATE
        Qt::Qml
        Qt::Quick
        KF5::GuiAddons
        KF5::ConfigWidgets
)

if(NOT ANDROID)
    target_link_libraries(org.kde.breeze PRIVATE Qt::DBus KF5::IconThemes)
endif()

## qqc2-breeze-style 5.21.4

=== debian/changelog ===
qqc2-breeze-style (5.21.4-0ubuntu1) hirsute; urgency=medium

  * New upstream bugfix and translation release (5.21.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Apr 2021 11:11:32 +0100

qqc2-breeze-style (5.21.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Mar 2021 20:36:56 +0000

qqc2-breeze-style (5.21.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 02 Mar 2021 14:14:28 +0000

qqc2-breeze-style (5.21.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 23 Feb 2021 15:08:01 +0000

qqc2-breeze-style (5.21.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 17 Feb 2021 14:23:40 +0000

qqc2-breeze-style (5.20.90-2) experimental; urgency=medium

  * Team upload.
  * Add missing build dependencies:
    - libqt5x11extras5-dev (optional)
    - pkg-config (optional)
    - qtdeclarative5-dev
    - qtquickcontrols2-5-dev

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 04 Feb 2021 12:41:15 +0100

qqc2-breeze-style (5.20.90-1) experimental; urgency=medium

  * Team upload.

  [ Norbert Preining ]
  * First upload to Debian. (Closes: #981111)

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 26 Jan 2021 16:59:30 +0100

=== debian/control ===
Source: qqc2-breeze-style
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <patfra71@gmail.com>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.6),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.76.0~),
               kirigami2-dev (>= 5.76.0~),
               libkf5config-dev (>= 5.76.0~),
               libkf5configwidgets-dev (>= 5.76.0~),
               libkf5guiaddons-dev (>= 5.76.0~),
               libkf5iconthemes-dev (>= 5.76.0~),
               libqt5x11extras5-dev (>= 5.15.0~),
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
               qtquickcontrols2-5-dev (>= 5.15.0~),
Homepage: https://invent.kde.org/plasma/qqc2-breeze-style
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/qqc2-breeze-style.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/qqc2-breeze-style
Rules-Requires-Root: no

Package: libqqc2breezestyle-dev
Section: libdevel
Architecture: any
Depends: qml-module-org-kde-qqc2breezestyle (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: development files for Breeze inspired QQC2 Style
 This is a pure Qt Quick/Kirigami Qt Quick Controls style.
 Unlike QQC2-Desktop-Style, it does not depend on Qt Widgets and the system
 QStyle.
 .
 This package contains the development files.

Package: qml-module-org-kde-qqc2breezestyle
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Breeze inspired QQC2 Style
 This is a pure Qt Quick/Kirigami Qt Quick Controls style.
 Unlike QQC2-Desktop-Style, it does not depend on Qt Widgets and the system
 QStyle.

## qqc2-breeze-style 5.22.5

=== debian/changelog ===
qqc2-breeze-style (5.22.5-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.5)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 00:51:47 +0200

qqc2-breeze-style (5.22.4-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 27 Jul 2021 13:44:53 +0100

qqc2-breeze-style (5.22.3-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 Jul 2021 14:08:29 +0100

qqc2-breeze-style (5.22.2.1-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.2.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Jun 2021 21:57:25 +0100

qqc2-breeze-style (5.22.2-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Jun 2021 18:59:57 +0100

qqc2-breeze-style (5.22.1-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Jun 2021 14:12:39 +0100

qqc2-breeze-style (5.22.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 11:54:59 +0100

qqc2-breeze-style (5.21.5-0ubuntu1) impish; urgency=medium

  * New upstream release (5.21.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 May 2021 17:04:26 +0100

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
            Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.6),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.76.0~),
-               kirigami2-dev (>= 5.76.0~),
-               libkf5config-dev (>= 5.76.0~),
-               libkf5configwidgets-dev (>= 5.76.0~),
-               libkf5guiaddons-dev (>= 5.76.0~),
-               libkf5iconthemes-dev (>= 5.76.0~),
+               extra-cmake-modules (>= 5.82.0~),
+               kirigami2-dev (>= 5.82.0~),
+               libkf5config-dev (>= 5.82.0~),
+               libkf5configwidgets-dev (>= 5.82.0~),
+               libkf5guiaddons-dev (>= 5.82.0~),
+               libkf5iconthemes-dev (>= 5.82.0~),
                libqt5x11extras5-dev (>= 5.15.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.16),

## qqc2-breeze-style 5.24.4

=== debian/changelog ===
qqc2-breeze-style (5.24.4-0ubuntu1) jammy; urgency=medium

  * New upstream bugfix release (5.24.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Mar 2022 10:22:23 +0100

qqc2-breeze-style (5.24.3-0ubuntu1) jammy; urgency=medium

  * Update maintainer to Kubuntu Developers.
  * New upstream release (5.24.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 08 Mar 2022 12:16:47 +0000

qqc2-breeze-style (5.24.2-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Feb 2022 15:03:53 +0000

qqc2-breeze-style (5.24.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Feb 2022 14:23:15 +0000

qqc2-breeze-style (5.24.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Feb 2022 21:29:33 +0000

qqc2-breeze-style (5.23.90-0ubuntu1) jammy; urgency=medium

  * New upstream beta release (5.23.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Jan 2022 10:21:00 +0000

qqc2-breeze-style (5.23.5-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Jan 2022 10:42:42 +0000

qqc2-breeze-style (5.23.4-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 30 Nov 2021 21:58:52 +0000

qqc2-breeze-style (5.23.3-1ubuntu1) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 29 Nov 2021 17:19:29 +0000

qqc2-breeze-style (5.23.3-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.3).

 -- Norbert Preining <norbert@preining.info>  Wed, 10 Nov 2021 08:43:33 +0900

qqc2-breeze-style (5.23.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Update upstream signing-key.

  [ Norbert Preining ]
  * New upstream release (5.23.1).
  * New upstream release (5.23.2).

 -- Norbert Preining <norbert@preining.info>  Wed, 03 Nov 2021 22:21:04 +0900

qqc2-breeze-style (5.23.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.0).

 -- Norbert Preining <norbert@preining.info>  Thu, 14 Oct 2021 20:13:16 +0900

qqc2-breeze-style (5.21.5-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Release to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 17 Aug 2021 03:25:26 +0200

qqc2-breeze-style (5.21.5-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.21.5).

 -- Patrick Franz <patfra71@gmail.com>  Fri, 07 May 2021 13:55:57 +0200

qqc2-breeze-style (5.21.4-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.21.4).

 -- Patrick Franz <patfra71@gmail.com>  Tue, 06 Apr 2021 17:48:25 +0200

qqc2-breeze-style (5.21.3-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.21.3).

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Mar 2021 05:49:43 +0900

qqc2-breeze-style (5.21.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.21.2).

 -- Norbert Preining <norbert@preining.info>  Wed, 03 Mar 2021 05:33:51 +0900

qqc2-breeze-style (5.21.1-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.21.1).

 -- Norbert Preining <norbert@preining.info>  Wed, 24 Feb 2021 14:36:41 +0900

qqc2-breeze-style (5.21.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.21.0).

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Feb 2021 05:42:28 +0900

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: qqc2-breeze-style
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Scarlett Moore <sgmoore@kde.org>,
-           Patrick Franz <patfra71@gmail.com>,
+           Patrick Franz <deltaone@debian.org>,
            Norbert Preining <norbert@preining.info>,
-Build-Depends: cmake (>= 3.6),
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.82.0~),
-               kirigami2-dev (>= 5.82.0~),
-               libkf5config-dev (>= 5.82.0~),
-               libkf5configwidgets-dev (>= 5.82.0~),
-               libkf5guiaddons-dev (>= 5.82.0~),
-               libkf5iconthemes-dev (>= 5.82.0~),
+               extra-cmake-modules (>= 5.90.0~),
+               kirigami2-dev (>= 5.90.0~),
+               libkf5config-dev (>= 5.90.0~),
+               libkf5configwidgets-dev (>= 5.90.0~),
+               libkf5coreaddons-dev (>= 5.90.0~),
+               libkf5guiaddons-dev (>= 5.90.0~),
+               libkf5iconthemes-dev (>= 5.90.0~),
                libqt5x11extras5-dev (>= 5.15.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.16),
@@ -21,8 +23,8 @@
                qtquickcontrols2-5-dev (>= 5.15.0~),
 Homepage: https://invent.kde.org/plasma/qqc2-breeze-style
 Standards-Version: 4.5.1
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/qqc2-breeze-style.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/qqc2-breeze-style
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/qqc2-breeze-style
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/qqc2-breeze-style
 Rules-Requires-Root: no
 
 Package: libqqc2breezestyle-dev

## qqc2-breeze-style 5.25.5

=== debian/changelog ===
qqc2-breeze-style (5.25.5-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 Sep 2022 15:34:04 +0100

qqc2-breeze-style (5.25.4-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Wed, 03 Aug 2022 11:33:43 +0100

qqc2-breeze-style (5.25.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 02 Aug 2022 17:33:06 +0200

qqc2-breeze-style (5.25.4-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 02 Aug 2022 18:01:19 +0100

qqc2-breeze-style (5.25.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.2).
  * New upstream release (5.25.3).
  * Release to unstable

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 17 Jul 2022 15:28:25 +0200

qqc2-breeze-style (5.25.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Jul 2022 14:45:50 +0100

qqc2-breeze-style (5.25.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Jun 2022 14:18:53 +0100

qqc2-breeze-style (5.25.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.25.1).

 -- Patrick Franz <deltaone@debian.org>  Tue, 21 Jun 2022 21:45:45 +0200

qqc2-breeze-style (5.25.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 21 Jun 2022 16:29:11 +0100

qqc2-breeze-style (5.25.0-1) experimental; urgency=medium

  * New upstream release (5.25.0).
  * Bump Standards-Version to 4.6.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 14 Jun 2022 21:26:38 +0200

qqc2-breeze-style (5.25.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Jun 2022 08:07:42 +0100

qqc2-breeze-style (5.24.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.90).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 20 May 2022 11:45:20 +0200

qqc2-breeze-style (5.24.90-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.24.90)

 -- Rik Mills <rikmills@kde.org>  Thu, 19 May 2022 18:43:21 +0100

qqc2-breeze-style (5.24.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 12 May 2022 21:39:58 +0200

qqc2-breeze-style (5.24.5-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.24.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 May 2022 15:50:36 +0100

qqc2-breeze-style (5.24.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 30 Mar 2022 13:47:51 +0200

qqc2-breeze-style (5.24.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.3).
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 10 Mar 2022 07:49:21 +0100

qqc2-breeze-style (5.24.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.24.2).
  * Bump Standards-Version to 4.6.0 (no changes needed).
  * Re-export signing key without extra signatures.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 26 Feb 2022 22:00:06 +0100

qqc2-breeze-style (5.23.5-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.23.5).

 -- Patrick Franz <deltaone@debian.org>  Fri, 07 Jan 2022 15:45:12 +0100

qqc2-breeze-style (5.23.4-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.4).

 -- Patrick Franz <deltaone@debian.org>  Thu, 02 Dec 2021 20:26:03 +0100

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,19 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Scarlett Moore <sgmoore@kde.org>,
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Norbert Preining <norbert@preining.info>,
            Patrick Franz <deltaone@debian.org>,
-           Norbert Preining <norbert@preining.info>,
+           Scarlett Moore <sgmoore@kde.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.90.0~),
-               kirigami2-dev (>= 5.90.0~),
-               libkf5config-dev (>= 5.90.0~),
-               libkf5configwidgets-dev (>= 5.90.0~),
-               libkf5coreaddons-dev (>= 5.90.0~),
-               libkf5guiaddons-dev (>= 5.90.0~),
-               libkf5iconthemes-dev (>= 5.90.0~),
+               extra-cmake-modules (>= 5.91.0~),
+               kirigami2-dev (>= 5.91.0~),
+               libkf5config-dev (>= 5.91.0~),
+               libkf5configwidgets-dev (>= 5.91.0~),
+               libkf5coreaddons-dev (>= 5.91.0~),
+               libkf5guiaddons-dev (>= 5.91.0~),
+               libkf5iconthemes-dev (>= 5.91.0~),
                libqt5x11extras5-dev (>= 5.15.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.16),
@@ -22,7 +23,7 @@
                qtdeclarative5-dev (>= 5.15.0~),
                qtquickcontrols2-5-dev (>= 5.15.0~),
 Homepage: https://invent.kde.org/plasma/qqc2-breeze-style
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/qqc2-breeze-style
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/qqc2-breeze-style
 Rules-Requires-Root: no

## qqc2-breeze-style 5.27.4

=== debian/changelog ===
qqc2-breeze-style (5.27.4-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.4)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Apr 2023 09:40:02 +0100

qqc2-breeze-style (5.27.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Mar 2023 15:20:34 +0000

qqc2-breeze-style (5.27.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Feb 2023 16:25:13 +0000

qqc2-breeze-style (5.27.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 25 Feb 2023 18:48:57 +0000

qqc2-breeze-style (5.27.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Feb 2023 13:42:59 +0000

qqc2-breeze-style (5.26.90-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Feb 2023 13:31:56 +0000

qqc2-breeze-style (5.26.5-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 04 Jan 2023 08:58:24 +0000

qqc2-breeze-style (5.26.4-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Fri, 16 Dec 2022 08:28:22 +0000

qqc2-breeze-style (5.26.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 29 Nov 2022 16:04:31 +0100

qqc2-breeze-style (5.26.4-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 29 Nov 2022 14:05:49 +0000

qqc2-breeze-style (5.26.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 08 Nov 2022 15:45:06 +0100

qqc2-breeze-style (5.26.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 08 Nov 2022 14:13:19 +0000

qqc2-breeze-style (5.26.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.1).
  * New upstream release (5.26.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 27 Oct 2022 23:33:29 +0200

qqc2-breeze-style (5.26.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.2)

 -- Rik Mills <rikmills@kde.org>  Sat, 05 Nov 2022 20:11:47 +0000

qqc2-breeze-style (5.26.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 11 Oct 2022 15:44:20 +0200

qqc2-breeze-style (5.25.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.90).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 25 Sep 2022 00:14:23 +0200

qqc2-breeze-style (5.25.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 09 Sep 2022 23:21:38 +0200

## qqc2-breeze-style 5.27.5

=== debian/changelog ===
qqc2-breeze-style (5.27.5-2) unstable; urgency=medium

  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 27 May 2023 18:23:44 +0200

qqc2-breeze-style (5.27.5-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.5).

 -- Patrick Franz <deltaone@debian.org>  Tue, 09 May 2023 23:26:51 +0200

qqc2-breeze-style (5.27.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.3).

 -- Patrick Franz <deltaone@debian.org>  Wed, 22 Mar 2023 23:12:45 +0100

qqc2-breeze-style (5.27.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.27.1).
  * New upstream release (5.27.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Feb 2023 15:00:26 +0100

qqc2-breeze-style (5.27.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.27.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 18 Feb 2023 17:08:42 +0100

qqc2-breeze-style (5.26.90-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.90).
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 23 Jan 2023 21:50:56 +0100

qqc2-breeze-style (5.26.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jan 2023 00:21:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: qqc2-breeze-style
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Patrick Franz <deltaone@debian.org>,
@@ -15,6 +14,7 @@
                libkf5configwidgets-dev (>= 5.91.0~),
                libkf5coreaddons-dev (>= 5.91.0~),
                libkf5guiaddons-dev (>= 5.91.0~),
+               libkf5i18n-dev (>= 5.91.0~),
                libkf5iconthemes-dev (>= 5.91.0~),
                libqt5x11extras5-dev (>= 5.15.0~),
                pkg-config,
@@ -23,9 +23,9 @@
                qtdeclarative5-dev (>= 5.15.0~),
                qtquickcontrols2-5-dev (>= 5.15.0~),
 Homepage: https://invent.kde.org/plasma/qqc2-breeze-style
-Standards-Version: 4.6.1
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/qqc2-breeze-style
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/qqc2-breeze-style
+Standards-Version: 4.6.2
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/qqc2-breeze-style.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/qqc2-breeze-style
 Rules-Requires-Root: no
 
 Package: libqqc2breezestyle-dev
@@ -43,7 +43,7 @@
 
 Package: qml-module-org-kde-qqc2breezestyle
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Breeze inspired QQC2 Style
  This is a pure Qt Quick/Kirigami Qt Quick Controls style.
  Unlike QQC2-Desktop-Style, it does not depend on Qt Widgets and the system

## qqc2-breeze-style 5.27.8

=== debian/changelog ===
qqc2-breeze-style (5.27.8-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.8)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Sep 2023 12:32:42 +0100

qqc2-breeze-style (5.27.7-1ubuntu1) mantic; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 20 Aug 2023 12:15:23 +0100

qqc2-breeze-style (5.27.7-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.7).

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Aug 2023 18:50:52 +0200

qqc2-breeze-style (5.27.7-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.7)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Aug 2023 17:16:55 +0100

qqc2-breeze-style (5.27.6-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.6)

 -- Rik Mills <rikmills@kde.org>  Tue, 20 Jun 2023 17:38:37 +0100

qqc2-breeze-style (5.27.5-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.5)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 May 2023 05:16:23 +0100

=== debian/control ===
Source: qqc2-breeze-style
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.102.0~),
               kirigami2-dev (>= 5.102.0~),
               libkf5config-dev (>= 5.102.0~),
               libkf5configwidgets-dev (>= 5.102.0~),
               libkf5coreaddons-dev (>= 5.102.0~),
               libkf5guiaddons-dev (>= 5.102.0~),
               libkf5i18n-dev (>= 5.102.0~),
               libkf5iconthemes-dev (>= 5.102.0~),
               libqt5x11extras5-dev (>= 5.15.0~),
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
               qtquickcontrols2-5-dev (>= 5.15.0~),
Homepage: https://invent.kde.org/plasma/qqc2-breeze-style
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/qqc2-breeze-style
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/qqc2-breeze-style
Rules-Requires-Root: no

Package: libqqc2breezestyle-dev
Section: libdevel
Architecture: any
Depends: qml-module-org-kde-qqc2breezestyle (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: development files for Breeze inspired QQC2 Style
 This is a pure Qt Quick/Kirigami Qt Quick Controls style.
 Unlike QQC2-Desktop-Style, it does not depend on Qt Widgets and the system
 QStyle.
 .
 This package contains the development files.

Package: qml-module-org-kde-qqc2breezestyle
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Breeze inspired QQC2 Style
 This is a pure Qt Quick/Kirigami Qt Quick Controls style.
 Unlike QQC2-Desktop-Style, it does not depend on Qt Widgets and the system
 QStyle.

## qqc2-breeze-style 5.27.10

=== debian/changelog ===
qqc2-breeze-style (5.27.10-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.10)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 11 Dec 2023 11:23:41 +0000

qqc2-breeze-style (5.27.9-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.9)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:20:58 +0100

## qqc2-breeze-style 5.27.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 #set(KF5_VERSION "5.75.0") # handled by release scripts
-set(KF5_DEP_VERSION "5.76.0") # handled by release scripts
+set(KF5_DEP_VERSION "5.91.0") # handled by release scripts
 
 project(qqc2-breeze-style VERSION 1.0)
 
@@ -34,15 +34,17 @@
 include(ECMGenerateHeaders)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
+set(KDE_COMPILERSETTINGS_LEVEL 5.84.0)
 include(KDECompilerSettings NO_POLICY_SCOPE)
 include(KDEClangFormat)
 include(KDEGitCommitHooks)
+include(ECMQmlModule)
 
 #TODO: Clean up dependencies. I was experimenting.
-find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Core Gui Qml Quick QuickControls2 QuickTemplates2)
+find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Core Gui Qml Quick QuickControls2 QuickTemplates2)
 
 if (NOT ANDROID)
-    find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS DBus)
+    find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS DBus)
     find_package(KF5IconThemes ${KF5_DEP_VERSION} REQUIRED)
 endif()
 
@@ -55,7 +57,7 @@
 # When building as a static plugin, dependencies may add a -lQt5X11Extras
 # to the linker, in that case, it requires to have the proper variables
 # to exists.
-if(X11_FOUND)
+if(X11_FOUND AND NOT QT_MAJOR_VERSION EQUAL "5")
     find_package(Qt5X11Extras ${REQUIRED_QT_VERSION} NO_MODULE QUIET)
 endif()
 
@@ -76,7 +78,7 @@
   "${CMAKE_CURRENT_SOURCE_DIR}/KF5QQC2BreezeStyleConfig.cmake.in"
   "${CMAKE_CURRENT_BINARY_DIR}/KF5QQC2BreezeStyleConfig.cmake"
   INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
-  PATH_VARS  KF5_INCLUDE_INSTALL_DIR CMAKE_INSTALL_PREFIX
+  PATH_VARS  KDE_INSTALL_INCLUDEDIR_KF CMAKE_INSTALL_PREFIX
 )
 
 install(FILES

=== debian/changelog ===
qqc2-breeze-style (5.27.11-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * New upstream release (5.27.11).
  * Remove inactive uploaders, thanks for your work.

 -- Patrick Franz <deltaone@debian.org>  Sun, 19 May 2024 12:17:10 +0200

qqc2-breeze-style (5.27.10-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.10).

 -- Patrick Franz <deltaone@debian.org>  Thu, 11 Jan 2024 23:18:07 +0100

qqc2-breeze-style (5.27.9-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.9).

 -- Patrick Franz <deltaone@debian.org>  Fri, 27 Oct 2023 21:51:25 +0200

qqc2-breeze-style (5.27.8-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.8).

 -- Patrick Franz <deltaone@debian.org>  Wed, 13 Sep 2023 20:47:45 +0200

=== debian/control ===
Source: qqc2-breeze-style
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.91.0~),
               kirigami2-dev (>= 5.91.0~),
               libkf5config-dev (>= 5.91.0~),
               libkf5configwidgets-dev (>= 5.91.0~),
               libkf5coreaddons-dev (>= 5.91.0~),
               libkf5guiaddons-dev (>= 5.91.0~),
               libkf5i18n-dev (>= 5.91.0~),
               libkf5iconthemes-dev (>= 5.91.0~),
               libqt5x11extras5-dev (>= 5.15.0~),
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
               qtquickcontrols2-5-dev (>= 5.15.0~),
Homepage: https://invent.kde.org/plasma/qqc2-breeze-style
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/qqc2-breeze-style.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/qqc2-breeze-style
Rules-Requires-Root: no

Package: libqqc2breezestyle-dev
Section: libdevel
Architecture: any
Depends: qml-module-org-kde-qqc2breezestyle (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: development files for Breeze inspired QQC2 Style
 This is a pure Qt Quick/Kirigami Qt Quick Controls style.
 Unlike QQC2-Desktop-Style, it does not depend on Qt Widgets and the system
 QStyle.
 .
 This package contains the development files.

Package: qml-module-org-kde-qqc2breezestyle
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Breeze inspired QQC2 Style
 This is a pure Qt Quick/Kirigami Qt Quick Controls style.
 Unlike QQC2-Desktop-Style, it does not depend on Qt Widgets and the system
 QStyle.

## qqc2-breeze-style 6.1.5

=== debian/changelog ===
qqc2-breeze-style (6.1.5-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Sep 2024 06:02:23 +0100

qqc2-breeze-style (6.1.4-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 14 Aug 2024 21:44:48 +0100

qqc2-breeze-style (6.1.3-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 21 Jul 2024 23:46:17 +0200

qqc2-breeze-style (6.1.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.1.0).
  * New binary package qml6-module-org-kde-breeze.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Fri, 21 Jun 2024 00:53:28 +0200

=== debian/control ===
Source: qqc2-breeze-style
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.2.0~),
               libkf6colorscheme-dev (>= 6.2.0~),
               libkf6config-dev (>= 6.2.0~),
               libkf6coreaddons-dev (>= 6.2.0~),
               libkf6guiaddons-dev (>= 6.2.0~),
               libkf6i18n-dev (>= 6.2.0~),
               libkf6iconthemes-dev (>= 6.2.0~),
               libkirigami-dev (>= 6.2.0~),
               libquickcharts-dev (>= 6.2.0~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.6.0+dfsg~),
               qt6-declarative-dev (>= 6.6.0+dfsg~),
Homepage: https://invent.kde.org/plasma/qqc2-breeze-style
Standards-Version: 4.7.0
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/qqc2-breeze-style
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/qqc2-breeze-style
Rules-Requires-Root: no

Package: libqqc2breezestyle-dev
Section: libdevel
Architecture: any
Depends: qml6-module-org-kde-breeze (= ${binary:Version}),
         ${misc:Depends},
Description: development files for Breeze inspired QQC2 Style
 This is a pure Qt Quick/Kirigami Qt Quick Controls style.
 Unlike QQC2-Desktop-Style, it does not depend on Qt Widgets and the system
 QStyle.
 .
 This package contains the development files.

Package: qml6-module-org-kde-breeze
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Breeze inspired QQC2 Style
 This is a pure Qt Quick/Kirigami Qt Quick Controls style.
 Unlike QQC2-Desktop-Style, it does not depend on Qt Widgets and the system
 QStyle.

## qqc2-breeze-style 6.2.90

=== debian/changelog ===
qqc2-breeze-style (6.2.90-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.90)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 08:19:43 +0000

qqc2-breeze-style (6.2.5-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 31 Dec 2024 19:05:55 +0000

qqc2-breeze-style (6.2.4-0ubuntu2) plucky; urgency=medium

  * Merge changes from 6.2.3-1 in Debian unstable:
    - Use dh_qmldeps to detect QML dependencies.

 -- Rik Mills <rikmills@kde.org>  Sun, 01 Dec 2024 19:17:46 +0000

qqc2-breeze-style (6.2.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 26 Nov 2024 12:16:58 +0000

qqc2-breeze-style (6.2.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.0)
  * New upstream release (6.2.1)
  * New upstream release (6.2.2)
  * New upstream release (6.2.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 20:00:48 +0000

=== debian/control ===
--- 
+++ 
@@ -10,19 +10,20 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 6.2.0~),
-               libkf6colorscheme-dev (>= 6.2.0~),
-               libkf6config-dev (>= 6.2.0~),
-               libkf6coreaddons-dev (>= 6.2.0~),
-               libkf6guiaddons-dev (>= 6.2.0~),
-               libkf6i18n-dev (>= 6.2.0~),
-               libkf6iconthemes-dev (>= 6.2.0~),
-               libkirigami-dev (>= 6.2.0~),
-               libquickcharts-dev (>= 6.2.0~),
+               dh-sequence-qmldeps,
+               extra-cmake-modules (>= 6.10.0~),
+               libkf6colorscheme-dev (>= 6.10.0~),
+               libkf6config-dev (>= 6.10.0~),
+               libkf6coreaddons-dev (>= 6.10.0~),
+               libkf6guiaddons-dev (>= 6.10.0~),
+               libkf6i18n-dev (>= 6.10.0~),
+               libkf6iconthemes-dev (>= 6.10.0~),
+               libkirigami-dev (>= 6.10.0~),
+               libquickcharts-dev (>= 6.10.0~),
                libxkbcommon-dev,
                pkgconf,
-               qt6-base-dev (>= 6.6.0+dfsg~),
-               qt6-declarative-dev (>= 6.6.0+dfsg~),
+               qt6-base-dev (>= 6.7.0+dfsg~),
+               qt6-declarative-dev (>= 6.7.0+dfsg~),
 Homepage: https://invent.kde.org/plasma/qqc2-breeze-style
 Standards-Version: 4.7.0
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/qqc2-breeze-style
@@ -43,7 +44,7 @@
 
 Package: qml6-module-org-kde-breeze
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: Breeze inspired QQC2 Style
  This is a pure Qt Quick/Kirigami Qt Quick Controls style.
  Unlike QQC2-Desktop-Style, it does not depend on Qt Widgets and the system
